package com.ltt.compass.weather.api

/**
 * 网络请求结果处理类
 * @param <T> 请求结果封装对象
 */

interface  ResultCallBack<T> {

    /**
     * 请求成功之前
     */
    abstract fun onReadyResult()

    /**
     * 请求成功时
     * @param t 结果数据
     */
    abstract fun onSuccess(t: T)

    /**
     * 请求成功时
     * @param json 结果JSON数据
     */
    abstract fun onSuccessJson(json: String)

    /**
     * 请求失败后的处理
     */
    abstract fun onFailure(code: Int, msg: String)
}