package com.ltt.compass.weather.bean

import com.ltt.compass.weather.base.BaseData

class CityData : BaseData() {
    var data: List<CityDataBean>? = null

    class CityDataBean {
        /**
         * data : [{"AdministrativeArea":{"CountryID":"CN","LocalizedType":"省","LocalizedName":"辽宁省","Level":1,"ID":"LN","EnglishType":"Province","EnglishName":"Liaoning"},"ParentCity":{"LocalizedName":"沈阳","Key":"102136","EnglishName":"Shenyang"},"LocalizedName":"沈河区","SupplementalAdminAreas":[{"LocalizedName":"沈阳市","Level":2,"EnglishName":"Shenyang"}],"DataSets":["AirQuality","Alerts","DailyAirQualityForecast","DailyLocalIndices","MinuteCast","PremiumAirQuality"],"Rank":35,"IsAlias":false,"Type":"City","TimeZone":{"GmtOffset":8,"Code":"CST","IsDaylightSaving":false,"Name":"Asia/Shanghai"},"Version":1,"PrimaryPostalCode":"","Region":{"LocalizedName":"亚洲","ID":"ASI","EnglishName":"Asia"},"Country":{"LocalizedName":"中国","ID":"CN","EnglishName":"China"},"GeoPosition":{"Elevation":{"Metric":{"UnitType":5,"Value":51,"Unit":"m"},"Imperial":{"UnitType":0,"Value":167,"Unit":"ft"}},"Latitude":41.793,"Longitude":123.448},"Key":"2333188","EnglishName":"Shenhe District"}]
         * cityId 城市ID 数据库保存的也是主键
         * cityOrder 城市排序 0是默认 依次往下 数据库保存的
         */
        var cityId: String? = null
        var cityOrder = -1
        /**
         * AdministrativeArea : {"CountryID":"CN","LocalizedType":"省","LocalizedName":"辽宁省","Level":1,"ID":"LN","EnglishType":"Province","EnglishName":"Liaoning"}
         * ParentCity : {"LocalizedName":"沈阳","Key":"102136","EnglishName":"Shenyang"}
         * LocalizedName : 沈河区
         * SupplementalAdminAreas : [{"LocalizedName":"沈阳市","Level":2,"EnglishName":"Shenyang"}]
         * DataSets : ["AirQuality","Alerts","DailyAirQualityForecast","DailyLocalIndices","MinuteCast","PremiumAirQuality"]
         * Rank : 35
         * IsAlias : false
         * Type : City
         * TimeZone : {"GmtOffset":8,"Code":"CST","IsDaylightSaving":false,"Name":"Asia/Shanghai"}
         * Version : 1
         * PrimaryPostalCode :
         * Region : {"LocalizedName":"亚洲","ID":"ASI","EnglishName":"Asia"}
         * Country : {"LocalizedName":"中国","ID":"CN","EnglishName":"China"}
         * GeoPosition : {"Elevation":{"Metric":{"UnitType":5,"Value":51,"Unit":"m"},"Imperial":{"UnitType":0,"Value":167,"Unit":"ft"}},"Latitude":41.793,"Longitude":123.448}
         * Key : 2333188
         * EnglishName : Shenhe District
         */
        var AdministrativeArea: AdministrativeAreaBean? = null
        var ParentCity: LocalizedBean? = null
        var LocalizedName: String? = null
        var Rank = 0
        var IsAlias = false
        var Type: String? = null
        var TimeZone: TimeZoneBean? = null
        var Version = 0
        var PrimaryPostalCode: String? = null
        var Region: LocalizedBean? = null
        var Country: LocalizedBean? = null
        var GeoPosition: GeoPositionBean? = null
        var Key: String? = null
        var EnglishName: String? = null
        var SupplementalAdminAreas: List<LocalizedBean>? = null
        var DataSets: List<String>? = null


        class AdministrativeAreaBean {
            /**
             * CountryID : CN
             * LocalizedType : 省
             * LocalizedName : 辽宁省
             * Level : 1
             * ID : LN
             * EnglishType : Province
             * EnglishName : Liaoning
             */
            var CountryID: String? = null
            var LocalizedType: String? = null
            var LocalizedName: String? = null
            var Level = 0
            var ID: String? = null
            var EnglishType: String? = null
            var EnglishName: String? = null
        }


        class TimeZoneBean {
            /**
             * GmtOffset : 8
             * Code : CST
             * IsDaylightSaving : false
             * Name : Asia/Shanghai
             */
            var GmtOffset = 0
            var Code: String? = null
            var IsDaylight = false
            var Name: String? = null
        }


        class GeoPositionBean {
            /**
             * Elevation : {"Metric":{"UnitType":5,"Value":51,"Unit":"m"},"Imperial":{"UnitType":0,"Value":167,"Unit":"ft"}}
             * Latitude : 41.793
             * Longitude : 123.448
             */
            var Elevation: MetricAndImperialBean? = null
            var Latitude = 0.0
            var Longitude = 0.0
        }

        class LocalizedBean {
            /**
             * LocalizedName : 沈阳市
             * Level : 2
             * EnglishName : Shenyang
             */
            var LocalizedName: String? = null
            var Level = 0
            var EnglishName: String? = null
        }
    }
}