package com.ltt.compass.weather.bean

import com.ltt.compass.weather.base.BaseData


class CurrentWeatherData : BaseData() {


    /**
     * Wind : {"Speed":{"Metric":{"UnitType":7,"Value":18.4,"Unit":"km/h"},"Imperial":{"UnitType":9,"Value":11.4,"Unit":"mi/h"}},"Direction":{"English":"S","Degrees":180,"Localized":"南"}}
     * Temperature : {"Metric":{"UnitType":17,"Value":11,"Unit":"C"},"Imperial":{"UnitType":18,"Value":52,"Unit":"F"}}
     * Past24HourTemperatureDeparture : {"Metric":{"UnitType":17,"Value":5,"Unit":"C"},"Imperial":{"UnitType":18,"Value":9,"Unit":"F"}}
     * PressureTendency : {"Code":"F","LocalizedText":"下降"}
     * ObstructionsToVisibility :
     * Ceiling : {"Metric":{"UnitType":5,"Value":9144,"Unit":"m"},"Imperial":{"UnitType":0,"Value":30000,"Unit":"ft"}}
     * RealFeelTemperatureShade : {"Metric":{"UnitType":17,"Value":8.7,"Unit":"C"},"Imperial":{"UnitType":18,"Value":48,"Unit":"F"}}
     * EpochTime : 1574407920
     * RealFeelTemperature : {"Metric":{"UnitType":17,"Value":9.6,"Unit":"C"},"Imperial":{"UnitType":18,"Value":49,"Unit":"F"}}
     * RelativeHumidity : 57
     * PrecipitationSummary : {"Past6Hours":{"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}},"Precipitation":{"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}},"Past9Hours":{"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}},"Past3Hours":{"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}},"PastHour":{"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}},"Past18Hours":{"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}},"Past24Hours":{"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}},"Past12Hours":{"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}}}
     * TemperatureSummary : {"Past6HourRange":{"Minimum":{"Metric":{"UnitType":17,"Value":6.2,"Unit":"C"},"Imperial":{"UnitType":18,"Value":43,"Unit":"F"}},"Maximum":{"Metric":{"UnitType":17,"Value":12.2,"Unit":"C"},"Imperial":{"UnitType":18,"Value":54,"Unit":"F"}}},"Past24HourRange":{"Minimum":{"Metric":{"UnitType":17,"Value":4,"Unit":"C"},"Imperial":{"UnitType":18,"Value":39,"Unit":"F"}},"Maximum":{"Metric":{"UnitType":17,"Value":12.2,"Unit":"C"},"Imperial":{"UnitType":18,"Value":54,"Unit":"F"}}},"Past12HourRange":{"Minimum":{"Metric":{"UnitType":17,"Value":5.9,"Unit":"C"},"Imperial":{"UnitType":18,"Value":43,"Unit":"F"}},"Maximum":{"Metric":{"UnitType":17,"Value":12.2,"Unit":"C"},"Imperial":{"UnitType":18,"Value":54,"Unit":"F"}}}}
     * LocalObservationDateTime : 2019-11-22T15:32:00+08:00
     * UVIndexText : 低
     * WeatherText : 阴
     * CloudCover : 0
     * LocalSource : {"WeatherCode":"00","Id":7,"Name":"华风"}
     * WindGust : {"Speed":{"Metric":{"UnitType":7,"Value":20.4,"Unit":"km/h"},"Imperial":{"UnitType":9,"Value":12.7,"Unit":"mi/h"}}}
     * UVIndex : 1
     * Precip1hr : {"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}}
     * WeatherIcon : 8
     * DewPoint : {"Metric":{"UnitType":17,"Value":2.2,"Unit":"C"},"Imperial":{"UnitType":18,"Value":36,"Unit":"F"}}
     * Pressure : {"Metric":{"UnitType":14,"Value":1015,"Unit":"mb"},"Imperial":{"UnitType":12,"Value":29.97,"Unit":"inHg"}}
     * IsDayTime : true
     * ApparentTemperature : {"Metric":{"UnitType":17,"Value":13.3,"Unit":"C"},"Imperial":{"UnitType":18,"Value":56,"Unit":"F"}}
     * WetBulbTemperature : {"Metric":{"UnitType":17,"Value":7.4,"Unit":"C"},"Imperial":{"UnitType":18,"Value":45,"Unit":"F"}}
     * Visibility : {"Metric":{"UnitType":6,"Value":22.1,"Unit":"km"},"Imperial":{"UnitType":2,"Value":13.763,"Unit":"mi"}}
     * WindChillTemperature : {"Metric":{"UnitType":17,"Value":11,"Unit":"C"},"Imperial":{"UnitType":18,"Value":52,"Unit":"F"}}
     * Link : http://m.weathercn.com/zh/cn/shenhe-district/2333188/current-weather/2333188?lang=zh-cn
     * MobileLink : http://m.weathercn.com/zh/cn/shenhe-district/2333188/current-weather/2333188?lang=zh-cn
     */
    var data: List<CurrentWeatherDataBean>? = null

    class CurrentWeatherDataBean {
        var Wind: WindBean? = null
        var Temperature: MetricAndImperialBean? = null
        var Past24HourTemperatureDeparture: MetricAndImperialBean? = null
        var PressureTendency: PressureTendencyBean? = null
        var ObstructionsToVisibility: String? = null
        var Ceiling: MetricAndImperialBean? = null
        var RealFeelTemperatureShade: MetricAndImperialBean? = null
        var EpochTime = 0
        var RealFeelTemperature: MetricAndImperialBean? = null
        var RelativeHumidity = 0
        var PrecipitationSummary: PrecipitationSummaryBean? = null
        var TemperatureSummary: TemperatureSummaryBean? = null
        var LocalObservationDateTime: String? = null
        var UVIndexText: String? = null
        var WeatherText: String? = null
        var CloudCover = 0
        var LocalSource: LocalSourceBean? = null
        var WindGust: MetricAndImperialBean? = null
        var UVIndex = 0
        var Precip1hr: MetricAndImperialBean? = null
        var WeatherIcon = 0
        var DewPoint: MetricAndImperialBean? = null
        var Pressure: MetricAndImperialBean? = null
        var IsDayTime = false
        var ApparentTemperature: MetricAndImperialBean? = null
        var WetBulbTemperature: MetricAndImperialBean? = null
        var Visibility: MetricAndImperialBean? = null
        var WindChillTemperature: MetricAndImperialBean? = null
        var Link: String? = null
        var MobileLink: String? = null


        class PressureTendencyBean {
            /**
             * Code : F
             * LocalizedText : 下降
             */
            var Code: String? = null
            var LocalizedText: String? = null
        }

        class PrecipitationSummaryBean {
            /**
             * Past6Hours : {"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}}
             * Precipitation : {"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}}
             * Past9Hours : {"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}}
             * Past3Hours : {"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}}
             * PastHour : {"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}}
             * Past18Hours : {"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}}
             * Past24Hours : {"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}}
             * Past12Hours : {"Metric":{"UnitType":3,"Value":0,"Unit":"mm"},"Imperial":{"UnitType":1,"Value":0,"Unit":"in"}}
             */
            var Past6Hours: HourRangeBean? = null
            var Precipitation: HourRangeBean? = null
            var Past9Hours: HourRangeBean? = null
            var Past3Hours: HourRangeBean? = null
            var PastHour: HourRangeBean? = null
            var Past18Hours: HourRangeBean? = null
            var Past24Hours: HourRangeBean? = null
            var Past12Hours: HourRangeBean? = null
        }

        class TemperatureSummaryBean {
            /**
             * Past6HourRange : {"Minimum":{"Metric":{"UnitType":17,"Value":6.2,"Unit":"C"},"Imperial":{"UnitType":18,"Value":43,"Unit":"F"}},"Maximum":{"Metric":{"UnitType":17,"Value":12.2,"Unit":"C"},"Imperial":{"UnitType":18,"Value":54,"Unit":"F"}}}
             * Past24HourRange : {"Minimum":{"Metric":{"UnitType":17,"Value":4,"Unit":"C"},"Imperial":{"UnitType":18,"Value":39,"Unit":"F"}},"Maximum":{"Metric":{"UnitType":17,"Value":12.2,"Unit":"C"},"Imperial":{"UnitType":18,"Value":54,"Unit":"F"}}}
             * Past12HourRange : {"Minimum":{"Metric":{"UnitType":17,"Value":5.9,"Unit":"C"},"Imperial":{"UnitType":18,"Value":43,"Unit":"F"}},"Maximum":{"Metric":{"UnitType":17,"Value":12.2,"Unit":"C"},"Imperial":{"UnitType":18,"Value":54,"Unit":"F"}}}
             */
            var Past6HourRange: HourRangeBean? = null
            var Past24HourRange: HourRangeBean? = null
            var Past12HourRange: HourRangeBean? = null
        }


        inner class HourRangeBean {
            /**
             * Minimum : {"Metric":{"UnitType":17,"Value":6.2,"Unit":"C"},"Imperial":{"UnitType":18,"Value":43,"Unit":"F"}}
             * Maximum : {"Metric":{"UnitType":17,"Value":12.2,"Unit":"C"},"Imperial":{"UnitType":18,"Value":54,"Unit":"F"}}
             */
            var Minimum: MetricAndImperialBean? = null
            var Maximum: MetricAndImperialBean? = null
        }
    }

}