package com.ltt.compass.weather.widget

import android.content.Context
import android.util.AttributeSet
import android.widget.ImageView
import android.widget.TextView
import androidx.constraintlayout.widget.ConstraintLayout
import com.ltt.compass.R
import com.ltt.compass.weather.bean.WeatherIndices
import com.ltt.compass.weather.util.WeatherUtils

/**
 * 指数对应 weather_indices
 */
class WeatherIndicesView : ConstraintLayout {
    private lateinit var mCapsuleImg: ImageView//胶囊的图标
    private lateinit var mFishingImg: ImageView//钓鱼的图标
    private lateinit var mFlightImg: ImageView//飞行的图标
    private lateinit var mSportImg: ImageView//运动的图标
    private lateinit var mTelescopeImg: ImageView//望远镜的图标
    private lateinit var mTripImg: ImageView//出行的图标


    private lateinit var mCapsuleText: TextView//胶囊的描述
    private lateinit var mFishingText: TextView//钓鱼的描述
    private lateinit var mFlightText: TextView//飞行的描述
    private lateinit var mSportText: TextView//运动的描述
    private lateinit var mTelescopeText: TextView//望远镜的描述
    private lateinit var mTripText: TextView//出行的描述


    constructor (context: Context?) : super(context) {}

    constructor (context: Context?, attrs: AttributeSet?) : super(context, attrs) {}

    constructor (context: Context?, attrs: AttributeSet?, defStyleAttr: Int) : super(context, attrs, defStyleAttr) {}

    fun initViews() {
        mCapsuleImg = findViewById(R.id.capsule_img)
        mFishingImg = findViewById(R.id.fishing_img)
        mFlightImg = findViewById(R.id.flight_img)
        mSportImg = findViewById(R.id.sport_img)
        mTelescopeImg = findViewById(R.id.telescope_img)
        mTripImg = findViewById(R.id.trip_img)
        mCapsuleText = findViewById(R.id.capsule_text)
        mFishingText = findViewById(R.id.fishing_text)
        mFlightText = findViewById(R.id.flight_text)
        mSportText = findViewById(R.id.sport_text)
        mTelescopeText = findViewById(R.id.telescope_text)
        mTripText = findViewById(R.id.trip_text)
    }


    fun setText(indicesDaily: WeatherIndices.WeatherIndicesBean, indicesType: WeatherUtils.WeatherIndicesType) {
        when(indicesType){
            WeatherUtils.WeatherIndicesType.CAPSULE->{
                mCapsuleText.text = context.resources.getString(WeatherUtils.getIndicesLevel(indicesType, indicesDaily.Value))
            }
            WeatherUtils.WeatherIndicesType.FLIGHT->{
                mFlightText.text = context.resources.getString(WeatherUtils.getIndicesLevel(indicesType, indicesDaily.Value))
            }
            WeatherUtils.WeatherIndicesType.FISHING->{
                mFishingText.text = context.resources.getString(WeatherUtils.getIndicesLevel(indicesType, indicesDaily.Value))
            }
            WeatherUtils.WeatherIndicesType.TELESCOPE->{
                mTelescopeText.text = context.resources.getString(WeatherUtils.getIndicesLevel(indicesType, indicesDaily.Value))
            }
            WeatherUtils.WeatherIndicesType.SPORTS->{
                mSportText.text = context.resources.getString(WeatherUtils.getIndicesLevel(indicesType, indicesDaily.Value))
            }
            WeatherUtils.WeatherIndicesType.TRIP->{
                mTripText.text = context.resources.getString(WeatherUtils.getIndicesLevel(indicesType, indicesDaily.Value))
            }
        }

    }

}